package net.knarcraft.minecraftserverlauncher.server.servertypes;

public class Snapshot extends Vanilla {

    /**
     * Instantiates a snapshot server type
     *
     * @param typeName    <p>The name of this server type</p>
     * @param isProxy     <p>Whether this server type is a proxy server</p>
     * @param versions    <p>Available versions for this server type</p>
     * @param versionURL  <p>The URL used for downloading the version document</p>
     * @param downloadURL <p>The URL used for downloading the new file</p>
     */
    public Snapshot(String typeName, boolean isProxy, String[] versions, String versionURL, String downloadURL) {
        super(typeName, isProxy, versions, versionURL, downloadURL);
        this.releaseType = "snapshot";
    }

}
